This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 65203 - less is broken for Japanese
less is broken for Japanese
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: less (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-20 03:55 EDT by Nakai
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-20 05:12:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'ABC' file in Japanese multibyte. (7 bytes, patch)
2002-05-20 03:56 EDT, Nakai
no flags Details | Diff
It should be like this on kterm (1.07 KB, image/png)
2002-05-20 04:00 EDT, Nakai
no flags Details
less-358+iso247-20001210-rh.diff (Updated iso patch for less) (283.92 KB, patch)
2002-05-20 05:12 EDT, Nakai
no flags Details | Diff

  None (edit)
Description Nakai 2002-05-20 03:55:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
less is broken for Japanese.
The attached file should be seen as the attached png in
Japanese mode. (LANG=ja_JP.eucJP, JLESSCHARSET=japanese)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. less the attached file.
2. Oops.
3. Do you say we need to use emacs instead of less? RHL7.2 was better..
	

Actual Results:  Broken - it shows hex dump.

Expected Results:  Human readable.

Additional info:
Comment 1 Nakai 2002-05-20 03:56:50 EDT
Created attachment 57964 [details]
'ABC' file in Japanese multibyte.
Comment 2 Nakai 2002-05-20 04:00:05 EDT
Created attachment 57965 [details]
It should be like this on kterm
Comment 3 Nakai 2002-05-20 05:01:26 EDT
I understand this iso patch breaks -N option for Japanese and other
languages. And I found a mistake in the patch. The patch author
added a line but forget to add {} to the for sentence. Below change
fixed the problem.

--- less-358/line.c.orig        Mon May 20 18:02:51 2002
+++ less-358/line.c     Mon May 20 18:03:06 2002
@@ -152,9 +152,10 @@
        {
                sprintf(&linebuf[curr], "%*d", LINENUM_WIDTH, lno);
                column += LINENUM_WIDTH;
-               for (i = 0;  i < LINENUM_WIDTH;  i++)
+               for (i = 0;  i < LINENUM_WIDTH;  i++) {
                        charset[curr] = ASCII;
                        attr[curr++] = AT_NORMAL;
+               }
        }
        /*
         * Append enough spaces to bring us to the lmargin.
Comment 4 Nakai 2002-05-20 05:12:14 EDT
Created attachment 57984 [details]
less-358+iso247-20001210-rh.diff (Updated iso patch for less)
Comment 5 Nakai 2002-05-20 05:12:51 EDT
Updated iso patch attached.
Comment 6 Karsten Hopp 2002-06-18 19:26:49 EDT
fixed in less-358-27 with iso254  and other patches

Note You need to log in before you can comment on or make changes to this bug.